Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IActionInstance

    public interface IActionInstance

Method Summary
`IDrillThroughInstance` | `createDrillThrough()` create a empty drillThrough instance.
`IDrillThroughInstance` | `createDrillThrough(java.lang.String bookmark, boolean isBookmark, java.lang.String reportName, java.util.Map parameterBindings, java.util.Map searchCriteria, java.lang.String target, java.lang.String format)` Deprecated. Create a drillThrough instance. And set the parameters of the drillthrough:
`IDrillThroughInstance` | `createDrillThrough(java.lang.String bookmark, boolean isBookmark, java.lang.String reportName, java.util.Map parameterBindings, java.util.Map searchCriteria, java.lang.String target, java.lang.String format, java.lang.String targetFileType)` Create a drillThrough instance.
`java.lang.String` | `getBookmark()`
`IDrillThroughInstance` | `getDrillThrough()`
`java.lang.String` | `getHyperlink()`
`java.lang.String` | `getTargetWindow()`
`java.lang.String` | `getTooltip()`
`int` | `getType()`
`void` | `setBookmark(java.lang.String bookmark)` Set bookmark.
`void` | `setDrillThrough(IDrillThroughInstance drillThroughInstance)` Set IDrillThroughInstance.
`void` | `setHyperlink(java.lang.String hyperlink, java.lang.String target)` Set hyperlink string and target.
`void` | `setTooltip(java.lang.String tooltip)`

Method Detail

### getType

    int getType()

  Returns:
    the type of the hyperlink. Can be one of the following: org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_HYPERLINK org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_BOOKMARK org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_DRILLTHROUGH ACTION NULL: -1

### getBookmark

    java.lang.String getBookmark()

  Returns:
    the bookmark string when action type is bookmark. Otherwise, throw RuntimeException.

### setBookmark

    void setBookmark(java.lang.String bookmark)

  Set bookmark. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_BOOKMARK Throw IllegalArgumentException if the bookmark be set to null.

  Parameters:
    `bookmark` -

### getHyperlink

    java.lang.String getHyperlink()

  Returns:
    the action string when action type is hyperlink. Otherwise, throw RuntimeException.

### setHyperlink

    void setHyperlink(java.lang.String hyperlink,
                      java.lang.String target)

  Set hyperlink string and target. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_HYPERLINK Throw IllegalArgumentException if the hyperlink be set to null.

  Parameters:
    `hyperlink` -
    `target` -

### getTargetWindow

    java.lang.String getTargetWindow()

  Returns:
    The name of a frame where a target hyperlink or drillThrough to be opened.

### createDrillThrough

    IDrillThroughInstance createDrillThrough(java.lang.String bookmark,
                                             boolean isBookmark,
                                             java.lang.String reportName,
                                             java.util.Map parameterBindings,
                                             java.util.Map searchCriteria,
                                             java.lang.String target,
                                             java.lang.String format)

  Deprecated. Create a drillThrough instance. And set the parameters of the drillthrough:

  Parameters:
    `bookmark` -
    `isBookmark` -
    `reportName` -
    `parameterBindings` -
    `searchCriteria` -
    `target` -
    `format` -

### createDrillThrough

    IDrillThroughInstance createDrillThrough(java.lang.String bookmark,
                                             boolean isBookmark,
                                             java.lang.String reportName,
                                             java.util.Map parameterBindings,
                                             java.util.Map searchCriteria,
                                             java.lang.String target,
                                             java.lang.String format,
                                             java.lang.String targetFileType)

  Create a drillThrough instance. And set the parameters of the drillthrough:

  Parameters:
    `bookmark` -
    `isBookmark` -
    `reportName` -
    `parameterBindings` -
    `searchCriteria` -
    `target` -
    `format` -
    `targetFileType` -

### createDrillThrough

    IDrillThroughInstance createDrillThrough()

  create a empty drillThrough instance.

  Returns:

### getDrillThrough

    IDrillThroughInstance getDrillThrough()

  Returns:
    the drillThrouthInstance when action type is drillThrough. Otherwise, throw RuntimeException.

### setDrillThrough

    void setDrillThrough(IDrillThroughInstance drillThroughInstance)

  Set IDrillThroughInstance. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_DRILLTHROUGH Throw IllegalArgumentException if the drillThroughInstance be set to null.

  Parameters:
    `drillThroughInstance` -

### setTooltip

    void setTooltip(java.lang.String tooltip)

### getTooltip

    java.lang.String getTooltip()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.